Debian Bug report logs - #698111
ITP: zimlib -- Standard library implementation of ZIM specifications

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Vasudev Kamath <kamathvasudev@gmail.com>

Date: Mon, 14 Jan 2013 07:57:02 UTC

Owned by: Vasudev Kamath <kamathvasudev@gmail.com>

Severity: wishlist

Fixed in version zimlib/1.1-1

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kamathvasudev@gmail.com, debian-devel@lists.debian.org, dr@jones.dk, wnpp@debian.org:
Bug#698111; Package wnpp. (Mon, 14 Jan 2013 07:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
New Bug report received and forwarded. Copy sent to kamathvasudev@gmail.com, debian-devel@lists.debian.org, dr@jones.dk, wnpp@debian.org. (Mon, 14 Jan 2013 07:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: zimlib -- Standard library implementation of ZIM specifications
Date: Mon, 14 Jan 2013 13:24:20 +0530
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Vasudev Kamath <kamathvasudev@gmail.com>

* Package name    : zimlib
  Version         : 0.93.20121015-1
  Upstream Author : Tommi Maekitalo <tommi@tntnet.org>
* URL             : http://www.openzim.org/index.php/Zimlib
* License         : GPL-2
  Programming Lang: C++
  Description     : Standard library implementation of ZIM specifications

 zimlib is the standard implementation of ZIM specification, which
 implements the read and write method for ZIM files.
 .
 ZIM is a file format created with focus on extracting and encoding data
 from Mediawiki for offline use. Even though project currently focuses
 on Mediawiki its original mission is to make web content available
 offline. Project intends to support other wiki engines and content
 management systems in future.
 .
 Features of zimlib are:
  * Native, coded in C++
  * Extremely fast
  * Minimal footprint
  * Minimal dependencies
  * Portable on most OS (Windows, Linux, Mac OS X)

-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vasudev Kamath <kamathvasudev@gmail.com>:
Bug#698111; Package wnpp. (Mon, 14 Jan 2013 09:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vasudev Kamath <kamathvasudev@gmail.com>. (Mon, 14 Jan 2013 09:03:06 GMT) Full text and rfc822 format available.

Message #10 received at 698111@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Vasudev Kamath <kamathvasudev@gmail.com>, 698111@bugs.debian.org
Cc: Jaap Karssenberg <pardus@cpan.org>
Subject: Re: Bug#698111: ITP: zimlib -- Standard library implementation of ZIM specifications
Date: Mon, 14 Jan 2013 10:00:18 +0100
Hi,

On Mon, 14 Jan 2013, Vasudev Kamath wrote:
> * Package name    : zimlib
>   Version         : 0.93.20121015-1
> * URL             : http://www.openzim.org/index.php/Zimlib
>  .
>  ZIM is a file format created with focus on extracting and encoding data
>  from Mediawiki for offline use. Even though project currently focuses
>  on Mediawiki its original mission is to make web content available
>  offline. Project intends to support other wiki engines and content
>  management systems in future.

When I saw this, it got me clearly confused because at first I thought
that it was related to http://zim-wiki.org/. It's a bit unfortunate that
"Zim" is used to refer to two projects reladed to "wikis".

I don't know who was first but maybe you could point out the nameclash
to upstream ?

FWIW the "zim" debian package refers to http://zim-wiki.org/ which I'm
maintaining for Debian.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vasudev Kamath <kamathvasudev@gmail.com>:
Bug#698111; Package wnpp. (Mon, 14 Jan 2013 09:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jaap Karssenberg <jaap.karssenberg@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vasudev Kamath <kamathvasudev@gmail.com>. (Mon, 14 Jan 2013 09:36:03 GMT) Full text and rfc822 format available.

Message #15 received at 698111@bugs.debian.org (full text, mbox):

From: Jaap Karssenberg <jaap.karssenberg@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Vasudev Kamath <kamathvasudev@gmail.com>, 698111@bugs.debian.org, Jaap Karssenberg <pardus@cpan.org>
Subject: Re: Bug#698111: ITP: zimlib -- Standard library implementation of ZIM specifications
Date: Mon, 14 Jan 2013 10:33:01 +0100
Git repository for zimlib shows rename was done in 2009, zim was
already a few years old at that time.

Afraid little I can do to resolve the clash other than renaming my
application, which needless to say, I don't want to because I like the
name.

Regards,

Jaap

On Mon, Jan 14, 2013 at 10:00 AM, Raphael Hertzog <hertzog@debian.org> wrote:
> Hi,
>
> On Mon, 14 Jan 2013, Vasudev Kamath wrote:
>> * Package name    : zimlib
>>   Version         : 0.93.20121015-1
>> * URL             : http://www.openzim.org/index.php/Zimlib
>>  .
>>  ZIM is a file format created with focus on extracting and encoding data
>>  from Mediawiki for offline use. Even though project currently focuses
>>  on Mediawiki its original mission is to make web content available
>>  offline. Project intends to support other wiki engines and content
>>  management systems in future.
>
> When I saw this, it got me clearly confused because at first I thought
> that it was related to http://zim-wiki.org/. It's a bit unfortunate that
> "Zim" is used to refer to two projects reladed to "wikis".
>
> I don't know who was first but maybe you could point out the nameclash
> to upstream ?
>
> FWIW the "zim" debian package refers to http://zim-wiki.org/ which I'm
> maintaining for Debian.
>
> Cheers,
> --
> Raphaël Hertzog ◈ Debian Developer
>
> Get the Debian Administrator's Handbook:
> → http://debian-handbook.info/get/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698111; Package wnpp. (Mon, 14 Jan 2013 10:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 14 Jan 2013 10:06:06 GMT) Full text and rfc822 format available.

Message #20 received at 698111@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 698111@bugs.debian.org, Jaap Karssenberg <pardus@cpan.org>
Subject: Re: Bug#698111: ITP: zimlib -- Standard library implementation of ZIM specifications
Date: Mon, 14 Jan 2013 15:33:30 +0530
[Message part 1 (text/plain, inline)]
Hi Raphaël,

On 10:00 Mon 14 Jan     , Raphael Hertzog wrote:
<snip> 
> When I saw this, it got me clearly confused because at first I thought
> that it was related to http://zim-wiki.org/. It's a bit unfortunate that
> "Zim" is used to refer to two projects reladed to "wikis".

zim in zimlib is actually ZIM which stands for Zeno IMproved file format
which was derived from Zeno file format.
[1]

> 
> I don't know who was first but maybe you could point out the nameclash
> to upstream ?

I will ask upstream but a couple of project depends on this library and
this name one being kiwix which I maintain but it duplicates this source
which is the reason why I ITPed it.

But as I said name is actually abbreviation and renaming it doesn't make
sense. What do you think?

> 
> FWIW the "zim" debian package refers to http://zim-wiki.org/ which I'm
> maintaining for Debian.
>

Yeah first when I saw about zim in one of your blog post I got confused
and thought zimlib is already packaged :-)


[1] https://en.wikipedia.org/wiki/ZIM_%28file_format%29

Warm Regards
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vasudev Kamath <kamathvasudev@gmail.com>:
Bug#698111; Package wnpp. (Mon, 14 Jan 2013 10:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vasudev Kamath <kamathvasudev@gmail.com>. (Mon, 14 Jan 2013 10:15:05 GMT) Full text and rfc822 format available.

Message #25 received at 698111@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Vasudev Kamath <kamathvasudev@gmail.com>
Cc: 698111@bugs.debian.org, Jaap Karssenberg <pardus@cpan.org>
Subject: Re: Bug#698111: ITP: zimlib -- Standard library implementation of ZIM specifications
Date: Mon, 14 Jan 2013 11:14:20 +0100
On Mon, 14 Jan 2013, Vasudev Kamath wrote:
> I will ask upstream

Thanks.

> But as I said name is actually abbreviation and renaming it doesn't make
> sense. What do you think?

I don't agree with this statement. Coming up with a name is always a
creative endeavour and you can always come up with something different
if really needed.

The question is more whether upstream is amenable to changing the name
given that zim from zim-wiki.org seems to predate openzim.org. 

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698111; Package wnpp. (Mon, 14 Jan 2013 10:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 14 Jan 2013 10:30:03 GMT) Full text and rfc822 format available.

Message #30 received at 698111@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 698111@bugs.debian.org, Jaap Karssenberg <pardus@cpan.org>, Kelson <kelson@kiwix.org>
Subject: Re: Bug#698111: ITP: zimlib -- Standard library implementation of ZIM specifications
Date: Mon, 14 Jan 2013 15:56:32 +0530
[Message part 1 (text/plain, inline)]
Engelheart <kelson@kiwix.org>
Bcc: 
Subject: Re: Bug#698111: ITP: zimlib -- Standard library implementation of
 ZIM specifications
Reply-To: 
In-Reply-To: <20130114101420.GA9959@x230-buxy.home.ouaza.com>

On 11:14 Mon 14 Jan     , Raphael Hertzog wrote:
> On Mon, 14 Jan 2013, Vasudev Kamath wrote:
> > I will ask upstream
> 
> Thanks.

Emmanuel, the new upstream maintainer said as of now he has no opinion
but he agreed zim-wiki was first to use name zim.

> 
> > But as I said name is actually abbreviation and renaming it doesn't make
> > sense. What do you think?
> 
> I don't agree with this statement. Coming up with a name is always a
> creative endeavour and you can always come up with something different
> if really needed.

That's true. Given that this is a library a name change can lead to
problem for all projects which is depending on it (I'm not sure how many
project depends on this lib though) any way that's my thinking but I
will leave it to upstream to decide (Emmanuel is CC'd)

<snip>

-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698111; Package wnpp. (Mon, 14 Jan 2013 10:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 14 Jan 2013 10:45:06 GMT) Full text and rfc822 format available.

Message #35 received at 698111@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 698111@bugs.debian.org, Jaap Karssenberg <pardus@cpan.org>, Kelson <kelson@kiwix.org>
Subject: Re: Bug#698111: ITP: zimlib -- Standard library implementation of ZIM specifications
Date: Mon, 14 Jan 2013 16:12:19 +0530
[Message part 1 (text/plain, inline)]
On 11:14 Mon 14 Jan     , Raphael Hertzog wrote:
> On Mon, 14 Jan 2013, Vasudev Kamath wrote:
> > I will ask upstream
> 
> Thanks.
>
Just an update Emmanuel started a discussion on whether to get the
project renamed and possible names here [1]

He has asked me for some time before he can revert back on this bug
report with his opinion

[1] http://lists.wikimedia.org/pipermail/offline-l/2013-January/001102.html

Cheers
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698111; Package wnpp. (Mon, 14 Jan 2013 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 14 Jan 2013 18:09:03 GMT) Full text and rfc822 format available.

Message #40 received at 698111@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 698111@bugs.debian.org, Jaap Karssenberg <pardus@cpan.org>, Kelson <kelson@kiwix.org>
Subject: Re: Bug#698111: ITP: zimlib -- Standard library implementation of ZIM specifications
Date: Mon, 14 Jan 2013 23:36:15 +0530
[Message part 1 (text/plain, inline)]
Hi Raphaël,

On 11:14 Mon 14 Jan     , Raphael Hertzog wrote:
> On Mon, 14 Jan 2013, Vasudev Kamath wrote:
> > I will ask upstream
> 
> Thanks.
> 
> > But as I said name is actually abbreviation and renaming it doesn't make
> > sense. What do you think?
> 
> I don't agree with this statement. Coming up with a name is always a
> creative endeavour and you can always come up with something different
> if really needed.
> 
> The question is more whether upstream is amenable to changing the name
> given that zim from zim-wiki.org seems to predate openzim.org. 

I did some more investigation and I don't see any file name clash
betweek zim from zim-wiki and zimlib. Even though both packages have zim
in the package name there is  description field which clarifies any
confusion between both packages for end user.

So I guess renaming from upstream is not required. Please share your
thoughts.

Warm Regards,
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vasudev Kamath <kamathvasudev@gmail.com>:
Bug#698111; Package wnpp. (Mon, 14 Jan 2013 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vasudev Kamath <kamathvasudev@gmail.com>. (Mon, 14 Jan 2013 21:03:03 GMT) Full text and rfc822 format available.

Message #45 received at 698111@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Vasudev Kamath <kamathvasudev@gmail.com>
Cc: 698111@bugs.debian.org, Jaap Karssenberg <pardus@cpan.org>, Kelson <kelson@kiwix.org>
Subject: Re: Bug#698111: ITP: zimlib -- Standard library implementation of ZIM specifications
Date: Mon, 14 Jan 2013 22:00:30 +0100
Hi,

On Mon, 14 Jan 2013, Vasudev Kamath wrote:
> I did some more investigation and I don't see any file name clash
> betweek zim from zim-wiki and zimlib. Even though both packages have zim
> in the package name there is  description field which clarifies any
> confusion between both packages for end user.
> 
> So I guess renaming from upstream is not required. Please share your
> thoughts.

My thoughts are "I have been confused and thus I believe that other users
will be confused in the future". This is why I believe it's best to
rename. Furthermore, there are no file clashes yet, but the day
where someone will write a python wrapper for "zimlib" (and this is
on the roadmap apparently), it might become a real issue.

That said, I'm not here to impose anything to anyone. I just wanted
to inform you so that both upstream are aware of the potential conflict
and so that they can handle it properly.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698111; Package wnpp. (Sun, 20 Jan 2013 05:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 20 Jan 2013 05:24:03 GMT) Full text and rfc822 format available.

Message #50 received at 698111@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 698111@bugs.debian.org, Jaap Karssenberg <pardus@cpan.org>, Kelson <kelson@kiwix.org>
Subject: Re: Bug#698111: ITP: zimlib -- Standard library implementation of ZIM specifications
Date: Sun, 20 Jan 2013 10:50:29 +0530
[Message part 1 (text/plain, inline)]
On 22:00 Mon 14 Jan     , Raphael Hertzog wrote:
> Hi,
> 
> On Mon, 14 Jan 2013, Vasudev Kamath wrote:
> > I did some more investigation and I don't see any file name clash
> > betweek zim from zim-wiki and zimlib. Even though both packages have zim
> > in the package name there is  description field which clarifies any
> > confusion between both packages for end user.
> > 
> > So I guess renaming from upstream is not required. Please share your
> > thoughts.
> 
> My thoughts are "I have been confused and thus I believe that other users
> will be confused in the future". This is why I believe it's best to
> rename. Furthermore, there are no file clashes yet, but the day
> where someone will write a python wrapper for "zimlib" (and this is
> on the roadmap apparently), it might become a real issue.

OK thanks for sharing your views on this, apparently I didn't think of
python wrapper for zimlib.

@Kelson can you share your views on this.

> 
> That said, I'm not here to impose anything to anyone. I just wanted
> to inform you so that both upstream are aware of the potential conflict
> and so that they can handle it properly.

Yes I understood that and thanks for bringing it up :-).

Warm Regards
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vasudev Kamath <kamathvasudev@gmail.com>:
Bug#698111; Package wnpp. (Sun, 20 Jan 2013 09:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Engelhart <kelson@kiwix.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vasudev Kamath <kamathvasudev@gmail.com>. (Sun, 20 Jan 2013 09:09:06 GMT) Full text and rfc822 format available.

Message #55 received at 698111@bugs.debian.org (full text, mbox):

From: Emmanuel Engelhart <kelson@kiwix.org>
To: Vasudev Kamath <kamathvasudev@gmail.com>
Cc: Raphael Hertzog <hertzog@debian.org>, 698111@bugs.debian.org, Jaap Karssenberg <pardus@cpan.org>
Subject: Re: Bug#698111: ITP: zimlib -- Standard library implementation of ZIM specifications
Date: Sun, 20 Jan 2013 10:07:59 +0100
Le 20/01/2013 06:20, Vasudev Kamath a écrit :
> On 22:00 Mon 14 Jan     , Raphael Hertzog wrote:
>> Hi,
>>
>> On Mon, 14 Jan 2013, Vasudev Kamath wrote:
>>> I did some more investigation and I don't see any file name clash
>>> betweek zim from zim-wiki and zimlib. Even though both packages have zim
>>> in the package name there is  description field which clarifies any
>>> confusion between both packages for end user.
>>>
>>> So I guess renaming from upstream is not required. Please share your
>>> thoughts.
>>
>> My thoughts are "I have been confused and thus I believe that other users
>> will be confused in the future". This is why I believe it's best to
>> rename. Furthermore, there are no file clashes yet, but the day
>> where someone will write a python wrapper for "zimlib" (and this is
>> on the roadmap apparently), it might become a real issue.
> 
> OK thanks for sharing your views on this, apparently I didn't think of
> python wrapper for zimlib.
> 
> @Kelson can you share your views on this.

What about "libopenzim" as package name, content unchanged?
Emmanuel




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vasudev Kamath <kamathvasudev@gmail.com>:
Bug#698111; Package wnpp. (Sun, 20 Jan 2013 09:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vasudev Kamath <kamathvasudev@gmail.com>. (Sun, 20 Jan 2013 09:18:05 GMT) Full text and rfc822 format available.

Message #60 received at 698111@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Emmanuel Engelhart <kelson@kiwix.org>
Cc: Vasudev Kamath <kamathvasudev@gmail.com>, 698111@bugs.debian.org, Jaap Karssenberg <pardus@cpan.org>
Subject: Re: Bug#698111: ITP: zimlib -- Standard library implementation of ZIM specifications
Date: Sun, 20 Jan 2013 10:14:23 +0100
On Sun, 20 Jan 2013, Emmanuel Engelhart wrote:
> What about "libopenzim" as package name, content unchanged?

Looks reasonable to me.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698111; Package wnpp. (Sun, 20 Jan 2013 15:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 20 Jan 2013 15:30:03 GMT) Full text and rfc822 format available.

Message #65 received at 698111@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Emmanuel Engelhart <kelson@kiwix.org>, 698111@bugs.debian.org, Jaap Karssenberg <pardus@cpan.org>
Subject: Re: Bug#698111: ITP: zimlib -- Standard library implementation of ZIM specifications
Date: Sun, 20 Jan 2013 20:57:39 +0530
[Message part 1 (text/plain, inline)]
Hi Raphael, Kelson

On 10:14 Sun 20 Jan     , Raphael Hertzog wrote:
> On Sun, 20 Jan 2013, Emmanuel Engelhart wrote:
> > What about "libopenzim" as package name, content unchanged?
> 
> Looks reasonable to me.

I just talked with Kelson what he meant is only package renaming and
nothing will be changed from upstream side.

Best Regards
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698111; Package wnpp. (Tue, 21 May 2013 15:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 21 May 2013 15:27:10 GMT) Full text and rfc822 format available.

Message #70 received at 698111@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: 698111@bugs.debian.org, hertzog@debian.org, Jaap Karssenberg <pardus@cpan.org>
Cc: Jonas Smedegaard <dr@jones.dk>
Subject: Name for zimlib package
Date: Tue, 21 May 2013 20:54:31 +0530
[Message part 1 (text/plain, inline)]
Hi Raphael,

Since upstream told it will not rename the library but if needed Debian
package can do so, I had discussion with Jonas Smedegaard who will be
maintaining the package along with me, we decided to stick with upstream
name but improve the long description of the package so as to avoid any
confusion with zim application.

The long description can be found here [1]. Package is yet to be
uploaded (since Jonas is busy) so if you have any further suggestion on
this please let me know.


[1] http://anonscm.debian.org/gitweb/?p=collab-maint/zimlib.git;a=blob;f=debian/control;h=d3a2517aa1fde7a47cb9137d0e3ce6523235606f;hb=HEAD

Thanks and Regards
--
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 09 Sep 2013 20:06:05 GMT) Full text and rfc822 format available.

Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Tue, 10 Sep 2013 04:03:09 GMT) Full text and rfc822 format available.

Notification sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Bug acknowledged by developer. (Tue, 10 Sep 2013 04:03:10 GMT) Full text and rfc822 format available.

Message #77 received at 698111-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 698111-close@bugs.debian.org
Subject: Bug#698111: fixed in zimlib 1.1-1
Date: Tue, 10 Sep 2013 04:00:23 +0000
Source: zimlib
Source-Version: 1.1-1

We believe that the bug you reported is fixed in the latest version of
zimlib, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698111@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated zimlib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 09 Sep 2013 19:32:21 +0200
Source: zimlib
Binary: libzim0 libzim0-dbg libzim-dev
Architecture: source amd64
Version: 1.1-1
Distribution: unstable
Urgency: low
Maintainer: Jonas Smedegaard <dr@jones.dk>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 libzim-dev - library implementation of ZIM specifications (development)
 libzim0    - library implementation of ZIM specifications
 libzim0-dbg - library implementation of ZIM specifications (debug symbols)
Closes: 698111
Changes: 
 zimlib (1.1-1) unstable; urgency=low
 .
   * Initial release.
     Closes: bug#698111.
Checksums-Sha1: 
 e2a398e8695dfe270fa0ffaa3035a669bc575e89 2144 zimlib_1.1-1.dsc
 84b9b3522c64da85bfb9f8772840406865155351 406157 zimlib_1.1.orig.tar.gz
 6731aca7ddd50001e727a504ecf8bbe6d65902a2 10869 zimlib_1.1-1.debian.tar.gz
 ce6f53d51a5ac534ad81b1b0869051496a3dc7c8 108824 libzim0_1.1-1_amd64.deb
 8e4204334f31fcc6a23f9d8cb2c68b1a37fad49e 916794 libzim0-dbg_1.1-1_amd64.deb
 f1720ef27dd9c4f8febc8d3edf91da82bcee3015 126872 libzim-dev_1.1-1_amd64.deb
Checksums-Sha256: 
 9b56be4a40e55dff9687e9b5c9cf5fc9df31480204a73813787ba233fe799ebd 2144 zimlib_1.1-1.dsc
 9b67da3d9e2b6f34b0c57d8003e0566486f212d278fee83240bb19909807085e 406157 zimlib_1.1.orig.tar.gz
 59e5585a4aeb90563770a81fe05379fc8e8b8054778f09b0f630cc453944b762 10869 zimlib_1.1-1.debian.tar.gz
 2df1a6b6292cfac692a37e22dbabd9c34d309857eaa08e4004ce87f12ec54ec3 108824 libzim0_1.1-1_amd64.deb
 fe3a11fdd951fafef70ffaa559005302d0bf9258a571ed70a664eb84dd9c8eea 916794 libzim0-dbg_1.1-1_amd64.deb
 1922879400f086ae94748a1ae4e024df0c57ea7845bbab78636bc6f92febc5e9 126872 libzim-dev_1.1-1_amd64.deb
Files: 
 82a5117f7735dc6a33c178af3da7586b 2144 libs optional zimlib_1.1-1.dsc
 03813f263591347ecb3d8274daab07b6 406157 libs optional zimlib_1.1.orig.tar.gz
 3b25fa597b900e121ad125f78d1b82d4 10869 libs optional zimlib_1.1-1.debian.tar.gz
 ccef7c5212c6ab7e7c2448e88d6c3372 108824 libs optional libzim0_1.1-1_amd64.deb
 0653e52644f4860d02f562a32497e16b 916794 debug extra libzim0-dbg_1.1-1_amd64.deb
 f563e008c0d4e871f546d4510c93857e 126872 libdevel optional libzim-dev_1.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCgAGBQJSLgflAAoJECx8MUbBoAEhc/MQAKsleIVPpREI39hRkUKZB20W
naVKNM2yCfwZzQuVcWAeNed81q4WS6JRO2Kgi7k0uWrYqmCiEiYVgQsEDLm66dJf
CXgOLzalG09hJV0wXU7lTIfVul0YgLNX0SqaBJuqR6KrcJGvskf9GXzucdDc6nHp
kM6WBYxtq4jXNfavGAYaA5XzFThhdLVXyLEZVA77vDvog94ztIZw/9NSm3UR9BZ7
nBD6x7XhRDrHs5RPs8jc+MUeu1SATDMo7cASY+alwsv/t8F4x01nH1kPVGjINUCP
DyN7eMxZJbqbis3RF63VTnWBNC9oP/Ox6HqqKzIgEw++NIalYmVxuUJCjcK/Ya0i
hQfztXhmKIoFliiWW4erSqQaNJ4FE2y0HiRkq9wJLg3jstKpmxVFK2hfTjLV9ifx
Lbnm9V1F9uCxkH2FurCH40OWJg+nA9pEdjPONn16DF2cSSadah7L0aseMGInunBM
XYYhuHfWy7x73w4BPN0iKvvV13ofqz7WfVDN0QjjEgefFJuqxuvCPX0sCLNE9O0L
/YAwMmtKeKFdIEkf8WtRqI1FMk6eygWJyF98kszrV87kHwmHClfVJy6OhW7lw/sI
Tl1l2qH1YMcRxnQfNwqTpOIgYPE3R2T51E19tiU/Hq1aFlCPrdjbsjNi6C0/Y95P
vpN5a7OYNrzev2vN2lCz
=76Xo
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 08 Oct 2013 07:27:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:05:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.